
[ppc64] use device_is_compatible() instead of manual strcmp, from Hollis Blanchard


---

 arch/ppc64/kernel/pSeries_lpar.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN arch/ppc64/kernel/pSeries_lpar.c~ppc64-device_is_compatible arch/ppc64/kernel/pSeries_lpar.c
--- 25/arch/ppc64/kernel/pSeries_lpar.c~ppc64-device_is_compatible	2004-01-13 23:21:59.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/pSeries_lpar.c	2004-01-13 23:21:59.000000000 -0800
@@ -234,9 +234,7 @@ static int find_udbg_vterm(void)
 	}
 
 	if (strncmp(name, "vty", 3) == 0) {
-		char *compatible;
-		compatible = (char *)get_property(stdout_node, "compatible", 0);
-		if (compatible && (strncmp(compatible, "hvterm1", 7) == 0)) {
+		if (device_is_compatible(stdout_node, "hvterm1")) {
 			termno = (u32 *)get_property(stdout_node, "reg", 0);
 			if (termno) {
 				vtermno = termno[0];

_
